Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(319)

Issue 1716803002: Trigger repaint on first paint only on pending stylesheet decrement. (Closed)

Created:
2 years, 4 months ago by rune
Modified:
2 years, 4 months ago
Reviewers:
esprehn
CC:
apavlov+blink_chromium.org, blink-reviews, blink-reviews-dom_chromium.org, blink-reviews-html_chromium.org, blink-reviews-paint_chromium.org, blink-reviews-style_chromium.org, caseq+blink_chromium.org, chromium-reviews, devtools-reviews_chromium.org, dglazkov+blink, dshwang, eae+blinkwatch, gavinp+loader_chromium.org, gavinp+prerender_chromium.org, Nate Chapin, kozyatinskiy+blink_chromium.org, loading-reviews_chromium.org, lushnikov+blink_chromium.org, pfeldman+blink_chromium.org, rwlbuis, sergeyv+blink_chromium.org, sof, slimming-paint-reviews_chromium.org, tfarina, tyoshino+watch_chromium.org, webcomponents-bugzilla_chromium.org, Yoav Weiss
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Trigger repaint on first paint only on pending stylesheet decrement. Also, since Document::styleResolverChanged() is now just a call to StyleEngine::resolverChanged(), remove it. This is in preparation for splitting (style)resolverChanged() into more descriptive methods on StyleEngine for what is necessary to nuke and rebuild in the various cases. That, in turn, is in preparation for the componentized style resolver and asynchronous update of active stylesheets. BUG=401359, 567021 Committed: https://crrev.com/56b2dd877e857cda63f913bb8b53b0037dee9477 Cr-Commit-Position: refs/heads/master@{#376594}

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+40 lines, -35 lines) Patch
M third_party/WebKit/Source/core/dom/Document.h View 2 chunks +4 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/core/dom/Document.cpp View 6 chunks +21 lines, -16 lines 0 comments Download
M third_party/WebKit/Source/core/dom/StyleEngine.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/html/HTMLLinkElement.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/html/imports/HTMLImportChild.cpp View 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/inspector/InspectorStyleSheet.cpp View 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/core/loader/HttpEquiv.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/page/Page.cpp View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/paint/BlockPainter.cpp View 1 chunk +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/xml/parser/XMLDocumentParser.cpp View 3 chunks +4 lines, -3 lines 0 comments Download

Messages

Total messages: 16 (5 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1716803002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1716803002/1
2 years, 4 months ago (2016-02-19 13:44:36 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/25876)
2 years, 4 months ago (2016-02-19 16:09:46 UTC) #4
rune
The only functional change here is that the full paint invalidation triggered when we don't ...
2 years, 4 months ago (2016-02-19 18:33:54 UTC) #5
rune
2 years, 4 months ago (2016-02-19 22:53:49 UTC) #7
esprehn
What's the behavior change here? It looks like just lots of renames... I don't see ...
2 years, 4 months ago (2016-02-19 22:59:54 UTC) #8
esprehn
I see, so no behavior changes at all, we just don't do the check as ...
2 years, 4 months ago (2016-02-19 23:00:38 UTC) #9
rune
On 2016/02/19 23:00:38, esprehn wrote: > I see, so no behavior changes at all, we ...
2 years, 4 months ago (2016-02-19 23:05:02 UTC) #10
esprehn
lgtm
2 years, 4 months ago (2016-02-19 23:58:00 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1716803002/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1716803002/1
2 years, 4 months ago (2016-02-19 23:58:50 UTC) #13
commit-bot: I haz the power
Committed patchset #1 (id:1)
2 years, 4 months ago (2016-02-20 01:24:52 UTC) #14
commit-bot: I haz the power
2 years, 4 months ago (2016-02-20 01:26:54 UTC) #16
Message was sent while issue was closed.
Patchset 1 (id:??) landed as
https://crrev.com/56b2dd877e857cda63f913bb8b53b0037dee9477
Cr-Commit-Position: refs/heads/master@{#376594}

Powered by Google App Engine
This is Rietveld 408576698